> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get BRC-20 transfer inscriptions for a Bitcoin address with transfer amounts and token details.

# BRC20 Transfer Inscriptions by Address



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /addresses/{address}/brc20/transfer_inscriptions
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /addresses/{address}/brc20/transfer_inscriptions:
    get:
      tags:
        - Addresses
      summary: BRC20 Transfer Inscriptions by Address
      description: >-
        Returns all unspent BRC20 transfer inscriptions residing at the address.
        This endpoint is critical for applications facilitating token transfers,
        as it identifies transfer-eligible inscriptions.
      operationId: brc20_transfer_inscriptions_by_address
      parameters:
        - name: address
          in: path
          description: Bitcoin address or hex encoded script pubkey
          required: true
          schema:
            type: string
          example: bc1p98p4wj9y5ppa4rkal59vrnp56tf8v6hggymud6awkf9rhdyvvc2s9jp0m3
        - name: ticker
          in: query
          description: BRC20 ticker string
          required: false
          schema:
            type: string
            nullable: true
          example: oxbt
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTransferInscriptionByAddress'
              example:
                data:
                  - inscription_id: >-
                      1da6ca5f0c07634d3e233197997a21091f10907c942b2a8e77a4d77381ca96b8i0
                    satoshis: '546'
                    ticker: oxbt
                    token_amount: '10000000.000000000000'
                    utxo_block_height: 851440
                    utxo_confirmations: 481
                    utxo_sat_offset: 0
                    utxo_txid: >-
                      1da6ca5f0c07634d3e233197997a21091f10907c942b2a8e77a4d77381ca96b8
                    utxo_vout: 0
                last_updated:
                  block_hash: >-
                    00000000000000000000023f7c4b362352c7948fb6ed7775bcd558ef1c7966c0
                  block_height: 851921
                next_cursor: null
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedTransferInscriptionByAddress:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TransferInscriptionByAddress'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
        next_cursor:
          type: string
          nullable: true
    TransferInscriptionByAddress:
      type: object
      required:
        - ticker
        - inscription_id
        - token_amount
        - satoshis
        - utxo_txid
        - utxo_vout
        - utxo_sat_offset
        - utxo_block_height
        - utxo_confirmations
      properties:
        inscription_id:
          type: string
          description: >-
            String representation of the inscription ID, whose first coordinate
            is the reveal transaction hash, and the second coordinate is the
            index of inscription in the reveal transaction.
        satoshis:
          type: string
          description: Number of sats locked in the UTxO.
        ticker:
          type: string
        token_amount:
          type: string
          description: Number of tokens locked in the UTxO.
        utxo_block_height:
          type: integer
          format: int64
          description: Block height of the UTxO containing the inscription.
          minimum: 0
        utxo_confirmations:
          type: integer
          format: int64
          description: >-
            Number of confirmations of the block where the UTxO containing the
            inscription was created.
          minimum: 0
        utxo_sat_offset:
          type: integer
          format: int64
          description: Offset of inscribed sat in the UTxO containing it.
          minimum: 0
        utxo_txid:
          type: string
          description: Transaction ID of the UTxO containing the inscription.
        utxo_vout:
          type: integer
          format: int32
          description: Output index of the UTxO containing the inscription.
          minimum: 0
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````